.manage-card {
  border-radius: $border-radius-lg;
  border: 1px solid rgba(var(--bs-dark-rgb), 0.2);
  border-top: 0;
  position: relative;
  background-color: rgba(var(--bs-white-rgb, 0.7));

  & > * {
    padding: $spacer * 0.7 $spacer;
    text-align: left;
    font-size: 0.8rem;
    border-top: 1px solid rgba(var(--bs-dark-rgb), 0.2);
  }

  .options {
    position: absolute;
    top: $spacer * 0.7;
    right: $spacer;
    padding: 0;
    border: 0;

    .btn-open-options {
      width: 26px;
      height: 26px;
      border-radius: 50%;
      vertical-align: middle;
      background-color: rgba(var(--bs-white-rgb), 0.5);

      &:hover {
        background-color: var(--bs-gray-200);
        color: var(--bs-blue);
      }

      &:active {
        background-color: $blue;
        color: var(--bs-white);
      }
    }

    .dropdown-item {
      font-size: 0.8rem;
    }
  }

  .cover {
    width: 100%;
    aspect-ratio: 1 / 1;
    background-position: center center;
    background-size: cover;
  }

  .title {
    display: flex;
    padding: 0;
    width: 100%;
    border-top-left-radius: $border-radius-lg;
    border-top-right-radius: $border-radius-lg;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
    height: calc($spacer * 1.4 + 1.5em);
    overflow: hidden;

    .checkbox-container {
      padding: $spacer * 0.7 $spacer * 0.5;
      padding-right: $spacer * 0.25;

      & + .btn {
        padding-left: $spacer * 0.25;
        border-top-left-radius: 0;
      }
    }

    .btn, &.btn {
      border: 0;
      font-weight: bold;
      font-size: 0.9em;
      line-height: 1.5em;
      text-align: start;

      background-color: transparent;

      border-top-left-radius: $border-radius-lg;
      border-top-right-radius: $border-radius-lg;
      border-bottom-left-radius: 0;
      border-bottom-right-radius: 0;

      flex-grow: 1;
      padding: $spacer * 0.7 40px $spacer $spacer;
      height: 100%;
      cursor: pointer;
      overflow: hidden;
      text-overflow: ellipsis;
      -webkit-line-clamp: 1;
      line-clamp: 1;
      white-space: nowrap;

      &:hover {
        background-color: rgba(var(--bs-dark-rgb), 0.1);
        color: $blue;
      }

      &:active {
        background-color: rgb(var(--bs-dark-rgb), 0.2);
        color: rgb(var(--bs-dark-rgb));
      }
    }
  }

  .labels {
    border-bottom-left-radius: $border-radius-lg;
    border-bottom-right-radius: $border-radius-lg;
  }

  .description {
    color: rgb(var(--bs-dark-rgb));
    background-color: rgba(var(--bs-dark-rgb), 0.05);
    height: #{$line-height-lg * 4}em;
  }

  .footer,
  .labels {
    background-color: rgb(var(--bs-dark-rgb), 0.1);
  }

  &.text-bg-primary {
    color: var(--bs-light);

    .title, .title .btn, .description {
      color: var(--bs-light);
    }
  }

  .slug {
    color: rgb(var(--bs-dark-rgb));
    word-break: break-all;
  }

  &.card-dashboard-icon {
    .cover {
      background-color: var(--bs-white);
      background-size: 70px 70px;
      background-repeat: no-repeat;
    }
  }
}

@include color-mode(dark) {
  .manage-card {
    .title {
      .btn, &.btn {
        color: $white;

        &:hover {
          color: lighten($blue, 10%);
        }
      }
    }

    .options .btn {
      color: $white;
    }

    &.text-bg-primary {
      color: var(--bs-dark);

      .title, .title .btn, .description {
        color: var(--bs-dark);
      }
    }
  }
}
